Scrum - Defect #1609

Backlog is not refreshed after moving PBI to bottom
2022-11-28 08:34 - Piotr Grondziowski

Status: Resolved

Priority: Normal

Category: Product backlog

Target version: Scrum v0.23.1

Source: Testing Blocked: No
Detected on version: Scrum v0.23.0 Alone: No

Description

After moving PBI to backlog top, the view is refreshed, but after moving PBI to bottom it is not.
The error is in scrum\app\views\scrum\move_pbi.js.erb file. Line 5

<%- elsif @position == 'top' -%>

should be

<%- elsif 'top,bottom,before,after'.include? @position -%>

Associated revisions

Revision e489eaf1 - 2023-01-23 12:58 - Emilio Gonzalez Montana
#1609 Fix sorting backlog error

History

#1 - 2023-01-23 12:59 - Emilio Gonzalez Montaia
- Target version set to Scrum v0.23.1

- Status changed from New to Resolved

Thanks for the error report & the fix!
